{
  "custom": {},
  "params": {
    "styleClass": "",
    "text": ""
  },
  "propConfig": {
    "params.styleClass": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.stylePath": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.text": {
      "binding": {
        "config": {
          "expression": "{view.params.text}"
        },
        "type": "expr"
      },
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 40,
      "width": 210
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "TextInput"
        },
        "position": {
          "basis": "10px",
          "grow": 1
        },
        "propConfig": {
          "props.style.classes": {
            "binding": {
              "config": {
                "expression": "{view.params.styleClass}"
              },
              "transforms": [
                {
                  "fallback": "Input/Label/Valid_Entry",
                  "inputType": "scalar",
                  "mappings": [
                    {
                      "input": 0,
                      "output": "Input/Label/Invalid_Entry"
                    },
                    {
                      "input": 1,
                      "output": "Input/Label/Valid_Entry"
                    }
                  ],
                  "outputType": "style-list",
                  "type": "map"
                }
              ],
              "type": "expr"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.text"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "placeholder": "Enter Value",
          "resize": "both",
          "style": {}
        },
        "type": "ia.input.text-area"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column",
      "justify": "center",
      "style": {
        "overflow": "hidden"
      }
    },
    "type": "ia.container.flex"
  }
}